Subject: bug#11814: The test logs lost their title

From: Akim Demaille <[email-masked]>
Date: Thu, 5 Jul 2012 14:39:24 +0200

Le 29 juin 2012 à 19:01, Stefano Lattarini a écrit :

> Hi Akim.

Hi!

> On 06/29/2012 09:17 AM, Akim Demaille wrote:
>> It seems that in recent changes, the test logs have lost
>> their title, which included the exit status.  Now, reading
>> a log, one can no longer know how the test exited.
>> 
> All of this is intended, because we now report "metadata" about the
> test run in the '*.trs' file rather than in the '*.log' file.

This is not metadata, this is the result of the test case.
When reading the log of the test, I expect to get the result.
Of course I could do it myself, but it means addition complexity
with temporary files, trap etc. which I am very happy to avoid.
Was there a _problem_ that needed to be solved by the removal
of the result?

> So,
> to know whether a test run has been successful, or which the results
> of the individual subtests has been, you should look at that file
> (it should be easily human readable as well as machine parseable,
> although its format is still experimental and likely to change in
> future Automake versions).

I don't want to read several files.

Also, test-suite.log contains a new section which
is not compliant with rst:

> ==========================================
>    Vaucanson 2.0a: tests/test-suite.log
> ==========================================
> 
> # TOTAL: 16
> # PASS:  14
> # SKIP:  0
> # XFAIL: 1
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> 
> .. contents:: :depth: 2
> 
> XFAIL: rat/wrong-weight-set
> ===========================

which results in: